> For the complete documentation index, see [llms.txt](https://docs.world.inc/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.world.inc/legacy/megaeth.md).

# MegaETH

## General

MegaETH docs.

{% embed url="<https://docs.megaeth.com/frontier>" %}

Preferred block explorer.

{% embed url="<https://mega.etherscan.io/>" %}

We believe most users bridge [(USDT) with Stargate](https://stargate.finance/?srcChain=ethereum\&srcToken=0xdAC17F958D2ee523a2206206994597C13D831ec7\&dstChain=megaeth\&dstToken=0xB8CE59FC3717ada4C02eaDF9682A9e934F625ebb).

Tokens and addresses on MegaETH: <https://github.com/megaeth-labs/mega-tokenlist/blob/main/megaeth.tokenlist.json>

Mainnet docs: <https://docs.megaeth.com/frontier>

## Adding MegaETH Network to a Wallet

| **Chain ID**           | 4326 (0x10e6)                     |
| ---------------------- | --------------------------------- |
| **Native & Gas Token** | Ether (ETH), 18 decimals          |
| **RPC URL**            | <https://mainnet.megaeth.com/rpc> |
| **Block Explorer**     | <https://mega.etherscan.io/>      |

## Bridging

Bridging is typically asset specific. It's best to reference the intended asset in [Broken mention](broken://pages/lxC8T1q28obTST1C60yx). For general bridging on MegaETH, MegaETH supports: <https://rabbithole.megaeth.com/bridge>. USDT is typically bridged via [Stargate](https://stargate.finance/?srcChain=ethereum\&srcToken=0xdAC17F958D2ee523a2206206994597C13D831ec7\&dstChain=megaeth\&dstToken=0xB8CE59FC3717ada4C02eaDF9682A9e934F625ebb), which can then be used to get USDM, which is typically used as the main stablecoin on MegaETH.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.world.inc/legacy/megaeth.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
